POST api/NTOrderSettings/PostOrderProtocols

Request Information

URI Parameters

None.

Body Parameters

ProtocolDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Protocols

string

String length: inclusive between 0 and 8000

Name

string

String length: inclusive between 0 and 1000

ExamCustomName

string

String length: inclusive between 0 and 1000

CorporationCode

string

String length: inclusive between 0 and 20

EntityTypeId

integer

None.

EntityId

string

String length: inclusive between 0 and 200

path

string

String length: inclusive between 0 and 8000

DocumentList

Collection of ProtocolDocumentDTO

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Protocols": "sample string 2",
  "Name": "sample string 3",
  "ExamCustomName": "sample string 4",
  "CorporationCode": "sample string 5",
  "EntityTypeId": 6,
  "EntityId": "sample string 7",
  "path": "sample string 8",
  "DocumentList": [
    {
      "Path": "sample string 1",
      "DocumentName": "sample string 2",
      "ProtocolId": 3,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:26:04.5016991-07:00",
      "DateUpdated": "2026-08-04T14:26:04.5016991-07:00",
      "UserIDCreated": 7,
      "UserIDUpdated": 8,
      "CompanyCode": "sample string 9",
      "IsExcludeDiscount": true
    },
    {
      "Path": "sample string 1",
      "DocumentName": "sample string 2",
      "ProtocolId": 3,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:26:04.5016991-07:00",
      "DateUpdated": "2026-08-04T14:26:04.5016991-07:00",
      "UserIDCreated": 7,
      "UserIDUpdated": 8,
      "CompanyCode": "sample string 9",
      "IsExcludeDiscount": true
    }
  ],
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:26:04.5016991-07:00",
  "DateUpdated": "2026-08-04T14:26:04.5016991-07:00",
  "UserIDCreated": 12,
  "UserIDUpdated": 13,
  "CompanyCode": "sample string 14",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfProtocolDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

ProtocolDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Protocols": "sample string 2",
    "Name": "sample string 3",
    "ExamCustomName": "sample string 4",
    "CorporationCode": "sample string 5",
    "EntityTypeId": 6,
    "EntityId": "sample string 7",
    "path": "sample string 8",
    "DocumentList": [
      {
        "Path": "sample string 1",
        "DocumentName": "sample string 2",
        "ProtocolId": 3,
        "ValidFlag": true,
        "DateCreated": "2026-08-04T14:26:04.5016991-07:00",
        "DateUpdated": "2026-08-04T14:26:04.5016991-07:00",
        "UserIDCreated": 7,
        "UserIDUpdated": 8,
        "CompanyCode": "sample string 9",
        "IsExcludeDiscount": true
      },
      {
        "Path": "sample string 1",
        "DocumentName": "sample string 2",
        "ProtocolId": 3,
        "ValidFlag": true,
        "DateCreated": "2026-08-04T14:26:04.5016991-07:00",
        "DateUpdated": "2026-08-04T14:26:04.5016991-07:00",
        "UserIDCreated": 7,
        "UserIDUpdated": 8,
        "CompanyCode": "sample string 9",
        "IsExcludeDiscount": true
      }
    ],
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:26:04.5016991-07:00",
    "DateUpdated": "2026-08-04T14:26:04.5016991-07:00",
    "UserIDCreated": 12,
    "UserIDUpdated": 13,
    "CompanyCode": "sample string 14",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}